<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlRunTimeCalibConf_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlRunTimeCalibConf_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Radar RF Run time calibration configuration.  
 <a href="structrl_run_time_calib_conf__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:af00947fc1a1bed62167a8083375bf315"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af00947fc1a1bed62167a8083375bf315"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_run_time_calib_conf__t.html#af00947fc1a1bed62167a8083375bf315">oneTimeCalibEnMask</a></td></tr>
<tr class="memdesc:af00947fc1a1bed62167a8083375bf315"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bit: Calibration <br />
 0:[Reserved] <br />
 1:[Reserved] <br />
 2:[Reserved] <br />
 3:[Reserved] <br />
 4: Enable LODIST calibration <br />
 5: [Reserved] <br />
 6: [Reserved] <br />
 7: [Reserved] <br />
 8: Enable PD_CALIBRATION_EN <br />
 9: Enable TX Power calibration <br />
 10:Enable RX gain calibration <br />
 11:[Reserved] <br />
 12:[Reserved] <br />
 31:13:[Reserved] <br />
. <br /></td></tr>
<tr class="separator:af00947fc1a1bed62167a8083375bf315"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8512d155fd6f63d02976a6e87c6cfc97"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8512d155fd6f63d02976a6e87c6cfc97"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_run_time_calib_conf__t.html#a8512d155fd6f63d02976a6e87c6cfc97">periodicCalibEnMask</a></td></tr>
<tr class="memdesc:a8512d155fd6f63d02976a6e87c6cfc97"><td class="mdescLeft">&#160;</td><td class="mdescRight">Automatic periodic triggering of calibrations of various RF/analog aspects. <br />
 It has same bit definition as above <br />
. <br /></td></tr>
<tr class="separator:a8512d155fd6f63d02976a6e87c6cfc97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a011f9a5e4e7e9372b6ac3fa0943b4cd1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a011f9a5e4e7e9372b6ac3fa0943b4cd1"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_run_time_calib_conf__t.html#a011f9a5e4e7e9372b6ac3fa0943b4cd1">calibPeriodicity</a></td></tr>
<tr class="memdesc:a011f9a5e4e7e9372b6ac3fa0943b4cd1"><td class="mdescLeft">&#160;</td><td class="mdescRight">1 LSB = 1 CALIB_MON_TIME_UNIT, as specified in RL_RF_CALIB_MON_TIME_UNIT_SB. <br /></td></tr>
<tr class="separator:a011f9a5e4e7e9372b6ac3fa0943b4cd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a339c805af4398abb0b5e04b17b0607d1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a339c805af4398abb0b5e04b17b0607d1"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_run_time_calib_conf__t.html#a339c805af4398abb0b5e04b17b0607d1">reportEn</a></td></tr>
<tr class="memdesc:a339c805af4398abb0b5e04b17b0607d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calibration Report Enable Configuration <br />
 [b0] Enable Calibration Reports Bitmap <br />
 0 - Disable Calibration Reports <br />
 1 - Enable Calibration Reports <br />
 [b7:1] Reserved <br />
. <br /></td></tr>
<tr class="separator:a339c805af4398abb0b5e04b17b0607d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94dd9de2e73046b113eb6ea965b7d5b0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a94dd9de2e73046b113eb6ea965b7d5b0"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_run_time_calib_conf__t.html#a94dd9de2e73046b113eb6ea965b7d5b0">reserved0</a></td></tr>
<tr class="memdesc:a94dd9de2e73046b113eb6ea965b7d5b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a94dd9de2e73046b113eb6ea965b7d5b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbf271e1e300eb21d6b11bd26cec8096"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afbf271e1e300eb21d6b11bd26cec8096"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_run_time_calib_conf__t.html#afbf271e1e300eb21d6b11bd26cec8096">txPowerCalMode</a></td></tr>
<tr class="memdesc:afbf271e1e300eb21d6b11bd26cec8096"><td class="mdescLeft">&#160;</td><td class="mdescRight">TX Power Calibration Mode [b0] Enable Calibration Reports Bitmap <br />
 0 - Update TX gain setting from LUT and do a closed loop calibration (OLPC + CLPC) <br />
 1 - Update TX gain settings from LUT only (OLPC only) <br />
 [b15:1] Reserved <br />
. <br /></td></tr>
<tr class="separator:afbf271e1e300eb21d6b11bd26cec8096"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9c04bb35bbf70c5325e2547718006c3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af9c04bb35bbf70c5325e2547718006c3"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_run_time_calib_conf__t.html#af9c04bb35bbf70c5325e2547718006c3">reserved1</a></td></tr>
<tr class="memdesc:af9c04bb35bbf70c5325e2547718006c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:af9c04bb35bbf70c5325e2547718006c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Radar RF Run time calibration configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
